pragma ComponentBehavior: Bound
import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

Page {
    id: page

    title: qsTr("Login")

    ColumnLayout {
        MnemonicLabel {
            buddy: user
            mnemonic: qsTr("&User:")
        }

        TextField {
            id: user

            focus: true
        }

        MnemonicLabel {
            buddy: password
            mnemonic: qsTr("&Password:")
        }

        TextField {
            id: password

            echoMode: TextInput.Password
        }

        Button {
            action: loginAction
        }
    }

    MnemonicAction {
        id: loginAction

        mnemonic: qsTr("Log &in")

        onTriggered: function () {
            Database.open(user.text, password.text);
        }
    }
}
